<?php
/**
 * Output of the single tournament videos.
 *
 * @package cyberpress/templates
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// phpcs:disable WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedVariableFound

$tournament = cyberpress()->get_the_tournament();
$videos     = $tournament->get_videos();

if ( $videos ) : ?>
    <h3><?php echo esc_html__( 'Videos', 'cyberpress' ); ?></h3>
    <div class="cyberpress-videos">
        <?php
        foreach ( $videos as $video ) {
            ?>
            <div class="cyberpress-video">
                <?php
                // phpcs:ignore
                echo wp_oembed_get( $video );
                ?>
            </div>
            <?php
        }
        ?>
    </div>
<?php endif; ?>
